×

Discussion Board

Results 1 to 4 of 4
  1. #1
    Registered User
    Join Date
    Nov 2006
    Posts
    2

    Netbeans obfuscation results preverification error

    Hi, I am wondering if anyone who uses SNAP mobile with Netbeans had this problem. When I am trying to compile "Hello World" sample application with obfuscation set to highest level I get the following error:
    "Error preverifying class p
    VERIFIER ERROR p.a(Ln;Lu;)Lcom/nokia/sm/util/StringTokenizer;:
    Cannot find class com/nokia/sm/util/StringTokenizer"

    However it does not happen when obfuscation level is set to one before it.

    The only difference between Obfuscation level 8 and 9 is that level 8 overwrites "everything except public fields and methods of public classes" and level 9 overwrites "everything except method of MIDlet classes".

    Any comments are welcome.

  2. #2
    Registered User
    Join Date
    Sep 2006
    Posts
    4

    Re: Netbeans obfuscation results preverification error

    Hi,

    I am using NetBeans 5.5 with Mobility Pack and SNAP Mobile 1.3.

    I created the HelloWorld project from the source in SNAP Mobile SDK and set the project properties under Build-Obfuscating to High(level 9). All other settings are default.

    I don't get the same problem you have.

    I use Windows XP, Java JDK 1.5.0_07 and WTK 2.2 (For some reason Netbeans does not recognize the WTK 2.5 Beta).

    What versions do you use? Are you using the latest SNAP Mobile SDK?

    I hope this helps.

  3. #3
    Registered User
    Join Date
    Nov 2006
    Posts
    2

    Re: Netbeans obfuscation results preverification error

    Snapper
    Thanks for reply!
    I am using Netbeans 5.0, maybe that's a problem, I'll try to update it and see if it solves the problem.

  4. #4
    Registered User
    Join Date
    Mar 2003
    Posts
    1

    Re: Netbeans obfuscation results preverification error

    Quote Originally Posted by sirius_5
    Snapper
    Thanks for reply!
    I am using Netbeans 5.0, maybe that's a problem, I'll try to update it and see if it solves the problem.
    I have the same problem. My workaround is copying a latest proguard.jar to override the NetBean's default one. Ater that I can obfuscate with the highest level.

Similar Threads

  1. carbide build problem help please
    By berkcekisbas in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 1
    Last Post: 2006-09-26, 19:41
  2. Replies: 1
    Last Post: 2006-09-08, 07:05
  3. S80 Platform SDK and Visual Studio .NET Linking Error
    By jayantjain in forum Mobile Java Tools & SDKs
    Replies: 1
    Last Post: 2005-10-07, 22:14
  4. Replies: 0
    Last Post: 2004-08-25, 11:42
  5. Replies: 0
    Last Post: 2002-09-24, 13:11

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×